JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom.util
Class GeometryCollectionMapper

    java.lang.Object
      com.vividsolutions.jts.geom.util.GeometryCollectionMapper

    public class GeometryCollectionMapper

extends java.lang.Object

Maps the members of a `GeometryCollection` into another `GeometryCollection` via a defined mapping function.

Author:
  Martin Davis

Constructor Summary
`GeometryCollectionMapper(GeometryMapper.MapOp mapOp)`

Method Summary
`GeometryCollection` `map(GeometryCollection gc)`
`static GeometryCollection` `map(GeometryCollection gc, GeometryMapper.MapOp op)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryCollectionMapper

    public GeometryCollectionMapper(GeometryMapper.MapOp mapOp)

Method Detail

### map

    public static GeometryCollection map(GeometryCollection gc,
                                         GeometryMapper.MapOp op)

### map

    public GeometryCollection map(GeometryCollection gc)

JTS Topology Suite version 1.13